hpp-core: hpp::core::PathValidation Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
hpp::core::PathValidation Class Referenceabstract
Validation of configurations and paths

`#include <hpp/core/path-validation.hh>`

Inheritance diagram for hpp::core::PathValidation:
[legend]

## Public Member Functions
virtual bool | validate (const PathPtr_t &path, bool reverse, PathPtr_t &validPart, PathValidationReportPtr_t &report)=0
virtual bool | validate (ConfigurationIn_t q, ValidationReportPtr_t &report)
virtual | ~PathValidation ()

## Protected Member Functions
| PathValidation ()

## Detailed Description

Abstraction of path validation

Instances of this class compute the latest valid configuration along a path.

Method

validate(ConfigurationIn_t q)
hpp::core::PathValidation::validate
virtual bool validate(const PathPtr_t &path, bool reverse, PathPtr_t &validPart, PathValidationReportPtr_t &report)=0
hpp::core::ConfigurationIn_t
pinocchio::ConfigurationIn_t ConfigurationIn_t
Definition fwd.hh:108

is provided to validate single configurations. It is particularly useful to test the initial and goal configurations of a path planning problem using this path validation.

## Constructor & Destructor Documentation

## ◆ ~PathValidation()

virtual hpp::core::PathValidation::~PathValidation | ( |  | ) |
| inlinevirtual

## ◆ PathValidation()

hpp::core::PathValidation::PathValidation | ( |  | ) |
| inlineprotected

## Member Function Documentation

## ◆ validate() [1/2]

virtual bool hpp::core::PathValidation::validate | ( | ConfigurationIn_t | q,
|  | ValidationReportPtr_t & | report
| ) |  |
| virtual

Validate a single configuration

Parameters

  q | input configuration,

Return values

  report | validation report. The default implementation builds a straight path of length 0 with the input configuration and validates the path.

Reimplemented in hpp::core::pathValidation::Discretized, and hpp::core::PathValidations.

## ◆ validate() [2/2]

virtual bool hpp::core::PathValidation::validate | ( | const PathPtr_t & | path,
|  | bool | reverse,
|  | PathPtr_t & | validPart,
|  | PathValidationReportPtr_t & | report
| ) |  |
| pure virtual

Compute the largest valid interval starting from the path beginning

Parameters

  path | the path to check for validity,
  reverse | if true check from the end,

Return values

  the | extracted valid part of the path, pointer to path if path is valid.
  report | information about the validation process. A report is allocated if the path is not valid.

Returns
  whether the whole path is valid.

Implemented in hpp::core::ContinuousValidation, hpp::core::pathValidation::Discretized, and hpp::core::PathValidations.

The documentation for this class was generated from the following file:

- include/hpp/core/path-validation.hh